import { jsx } from "react/jsx-runtime";
import { createContext, useMemo, use } from "react";
var OpenApiQueryConfig;
((OpenApiQueryConfig2) => {
  const Context = createContext({});
  OpenApiQueryConfig2.Provider = ({ preferUpdate = true, children }) => {
    const value = useMemo(() => ({ preferUpdate }), [preferUpdate]);
    return /* @__PURE__ */ jsx(Context.Provider, { value, children });
  };
  OpenApiQueryConfig2.useConfig = () => {
    const context = use(Context);
    return context ?? {};
  };
})(OpenApiQueryConfig || (OpenApiQueryConfig = {}));
export {
  OpenApiQueryConfig
};
